@import url("https://fonts.googleapis.com/css2?family=Hind:wght@300;400;500;600;700&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");
@import "header.css";
@import "about.css";
@import "services.css";
@import "contact.css";
@import "footer.css";

:root {
  /* Novas cores */
  --white-1: #f5f5f7; /* Branco do fundo do website */
  --white-1-zero-opacity: #f5f5f700; /* Usado para efeitos de transparência */
  --white-2: #ffffff; /* Branco contrastante */
  --black-1: #1f1f1f; /* Preto destaque; elementos importantes */
  --gray-1: #474747; /* Cinza complementar ao preto; elementos menos importantes */
  --blue-1: #1f5fae; /* Azul como cor destaque */

  /* Fontes */
  --montserrat-font: "Montserrat", sans-serif;
  --hind-font: "Hind", sans-serif;

  /* Estilos */
  --transition-1: 300ms ease-in-out;

  /* Tamanhos */
  --navbar-height: 82px;

  --primary-brand-color: #3b4d63;
  --secondary-brand-color: #6c8297;
  --tertiary-brand-color: #a4b3c6;
  --secondary: #555555;
  --light: #f1f3fa;
  --dark: #1c2035;
}

/* Remove scrollbar */
html {
  scrollbar-width: none; /* Firefox */
}

html::-webkit-scrollbar {
  width: 0; /* Chrome, Safari e Edge */
}

body {
  background-color: var(--white-1);
  overflow-x: hidden;
  padding-top: var(--navbar-height);
}

body > * {
  transition: opacity 0.3s;
}

body.content-display-none > * {
  display: none;
}

body.content-opacity > * {
  opacity: 0;
}

.block-scroll {
  height: 100%;
  overflow-y: hidden;
}

/* ===== Tipografia ====== */

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--montserrat-font) !important;
}

p,
a,
span,
button {
  font-family: var(--hind-font) !important;
}

/* h1 da seção */
.section-heading {
  color: var(--black-1);
}

/* Destaque do h1 */
.section-heading span {
  color: var(--blue-1);
}

/* Subtítulo sobre o h1 */
.subheading {
  color: var(--gray-1);
  font-size: 20px;
  margin-bottom: 0.5rem !important;
}

/* Subtítulos */
#about h5,
#service a {
  --color: var(--black-1);

  color: var(--color);
  font-weight: 500;
  transition: var(--transition-1);
}

#about .about-card:hover h5,
#service .project-item:hover a {
  --color: var(--blue-1);
}

/* Parágrafos, botões, inputs, etc..*/
#about p,
#service p,
#contact p {
  color: var(--gray-1);
}

#contact p a,
#contact p a i {
  color: var(--blue-1);
}

/* ===== Botões ===== */

/* Slider home */

.carousel-control-prev,
.carousel-control-next {
  --size: 60px;

  height: var(--size);
  position: relative;
  width: var(--size);
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
  width: 3.5rem;
  height: 3.5rem;
  border-radius: 3.5rem;
  background-color: var(--black-1);
  border: 15px solid var(--black-1);
}

.contact-btn {
  --background-color: var(--blue-1);

  background-color: var(--background-color);
  color: var(--white-2) !important;
  transition: var(--transition-1);
}

.contact-btn:hover {
  --background-color: var(--black-1);
}

.form-control {
  background-color: var(--white-2);
  color: var(--gray-1);
}

/* ===== Tela de carregamento ===== */

/* Container */
#loading-screen {
  --opacity: 1;
  --z-index: 1000;

  display: grid;
  place-items: center;

  background-color: var(--light);
  height: 100dvh;
  left: 0;
  opacity: var(--opacity) !important;
  position: absolute;
  top: 0;
  transition: 0.3s ease-in;
  width: 100dvw;
  z-index: var(--z-index);
}

/* Container invisível */
#loading-screen.hide {
  --opacity: 0;
  --z-index: -1;
}

/* Paths das svgs */
#loading-svg * {
  --fill-opacity: 0;

  fill: var(--fill-color);
  fill-opacity: var(--fill-opacity);
  transition: fill-opacity 0.3s;
}

#loading-svg.finished * {
  --fill-opacity: 1;
}

/* ===== Navbar ===== */

nav {
  --align-items: start;
  --height: var(--navbar-height);

  align-items: var(--align-items) !important;
  background-color: var(--white-2);
  box-shadow: 0 0px 5px var(--gray-1);
  display: flex;
  height: var(--height);
  left: 0;
  position: fixed !important;
  transition: height 0.3s;
  top: 0;
  width: 100dvw;
  z-index: 100;
}

nav.navbar-full-height {
  --height: 100dvh;
}

.navbar-brand img {
  height: 56px;
}

.navbar-nav {
  text-align: left;
}

/* ===== Menu ===== */

/* ===== Seção Home ===== */

/* Carrosel */
#home .carousel-inner {
  --carousel-height: ;

  height: var(--carousel-height);
}

/* Container da imagem */
#home .carousel-item {
  height: 100%;
}

/* Imagem do carrossel */
#home .carousel-item img {
  height: 100%;
  object-fit: cover;
}

.back-to-top {
  position: fixed;
  display: none;
  right: 30px;
  bottom: 30px;
  z-index: 99;
}

.fw-medium {
  font-weight: 500;
}

.btn {
  transition: 0.5s;
  font-weight: 500;
}

.btn-primary,
.btn-outline-primary:hover {
  color: var(--primary-brand-color);
}

.btn-secondary,
.btn-outline-secondary:hover {
  color: var(--dark);
}

.btn-square {
  width: 38px;
  height: 38px;
}

.btn-sm-square {
  width: 32px;
  height: 32px;
}

.btn-lg-square {
  width: 48px;
  height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: normal;
}

.navbar .navbar-nav .nav-link {
  margin-right: 35px;
  padding: 25px 0;
  color: var(--gray-1);
  font-size: 18px;
  font-weight: 500;
  outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
  color: var(--blue-1);
}

.navbar .dropdown-toggle::after {
  border: none;
  content: "\f107";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  vertical-align: middle;
  margin-left: 8px;
}

@media (max-width: 991.98px) {
  .navbar .navbar-nav .nav-link {
    margin-right: 0;
    padding: 10px 0;
  }

  .navbar .navbar-nav {
    margin-top: 15px;
    border-top: 1px solid #eeeeee;
  }
}

@media (min-width: 992px) {
  .navbar .nav-item .dropdown-menu {
    display: block;
    border: none;
    margin-top: 0;
    top: 150%;
    opacity: 0;
    visibility: hidden;
    transition: 0.5s;
  }

  .navbar .nav-item:hover .dropdown-menu {
    top: 100%;
    visibility: visible;
    transition: 0.5s;
    opacity: 1;
  }
}

.carousel-caption {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  align-items: center;
  background: rgba(0, 0, 0, 0.3);
  z-index: 1;
}

@media (max-width: 768px) {
  #header-carousel .carousel-item {
    position: relative;
    min-height: 450px;
  }

  #header-carousel .carousel-item img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.page-header {
  background: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1));
  background-size: cover;
}

.page-header .breadcrumb-item + .breadcrumb-item::before {
  color: var(--light);
}

.page-header .breadcrumb-item,
.page-header .breadcrumb-item a {
  font-size: 18px;
  color: var(--light);
}

.feature-row {
  box-shadow: 0 0 45px rgba(0, 0, 0, 0.08);
}

.feature-item {
  border-color: rgba(0, 0, 0, 0.03) !important;
}

.btn-play {
  position: relative;
  display: block;
  box-sizing: content-box;
  width: 36px;
  height: 46px;
  border-radius: 100%;
  border: none;
  outline: none !important;
  padding: 18px 20px 20px 28px;
  background: var(--primary-brand-color);
}

.btn-play:before {
  content: "";
  position: absolute;
  z-index: 0;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
  display: block;
  width: 90px;
  height: 90px;
  background: var(--primary-brand-color);
  border-radius: 100%;
  animation: pulse-border 1500ms ease-out infinite;
}

.btn-play:after {
  content: "";
  position: absolute;
  z-index: 1;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
  display: block;
  width: 90px;
  height: 90px;
  background: var(--primary-brand-color);
  border-radius: 100%;
  transition: all 200ms;
}

.btn-play span {
  display: block;
  position: relative;
  z-index: 3;
  width: 0;
  height: 0;
  left: 3px;
  border-left: 30px solid #ffffff;
  border-top: 18px solid transparent;
  border-bottom: 18px solid transparent;
}

@keyframes pulse-border {
  0% {
    transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
    opacity: 1;
  }

  100% {
    transform: translateX(-50%) translateY(-50%) translateZ(0) scale(2);
    opacity: 0;
  }
}

/* ===== Serviços ===== */
.service-text {
  position: relative;
  width: 100%;
  top: 0;
  left: 0;
  text-align: center;
  background-color: var(--white-2) !important;
  box-shadow: 0 0 45px rgba(0, 0, 0, 0.06);
  transition: 0.5s;
  z-index: 2;
}

.service-item:hover .service-text {
  top: -1.5rem;
}

.service-item .service-text h5 {
  transition: 0.5s;
}

.service-item:hover .service-text h5 {
  color: var(--blue-1);
}

.service-btn {
  background-color: var(--white-1);
}

.service-btn i {
  color: var(--blue-1);
}

/* Carrossel */

.project-item {
  position: relative;
  border-radius: 8px;
  overflow: hidden;
  box-shadow: 0 0 45px rgba(0, 0, 0, 0.07);
}

.project-item .project-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgba(0, 0, 0, 0.5);
  opacity: 0;
  padding-top: 60px;
  transition: 0.5s;
}

.project-item:hover .project-overlay {
  opacity: 1;
  padding-top: 0;
}

.project-carousel .owl-nav {
  display: flex;
  gap: 15px;
  justify-content: center;
}

.project-carousel .owl-nav .owl-prev,
.project-carousel .owl-nav .owl-next {
  width: 60px;
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--secondary);
  border-radius: 55px;
  box-shadow: 0 0 45px rgba(0, 0, 0, 0.15);
  font-size: 25px;
  transition: 0.5s;
}

.project-carousel .owl-nav .owl-prev:hover,
.project-carousel .owl-nav .owl-next:hover {
  background: var(--primary-brand-color);
  color: #ffffff;
}

.project-item span {
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.team-item {
  position: relative;
  text-align: center;
  box-shadow: 0 0 45px rgba(0, 0, 0, 0.07);
}

.team-item .team-social {
  position: absolute;
  padding: 0;
  top: 15px;
  left: 0;
  overflow: hidden;
}

.team-item .team-social li {
  list-style-type: none;
  margin-bottom: 10px;
  margin-left: -50px;
  opacity: 0;
  transition: 0.5s;
}

.team-item:hover .team-social li {
  margin-left: 15px;
  opacity: 1;
}

.team-item .team-social li .btn {
  background: #ffffff;
  color: var(--primary-brand-color);
  border-radius: 40px;
  transition: 0.5s;
}

.team-item .team-social li .btn:hover {
  color: #ffffff;
  background: var(--primary-brand-color);
}

.team-item .team-social li:nth-child(1) {
  transition-delay: 0.1s;
}

.team-item .team-social li:nth-child(2) {
  transition-delay: 0.2s;
}

.team-item .team-social li:nth-child(3) {
  transition-delay: 0.3s;
}

.team-item .team-social li:nth-child(4) {
  transition-delay: 0.4s;
}

.team-item .team-social li:nth-child(5) {
  transition-delay: 0.5s;
}

/* Botão WhatsApp */

#what {
  --size: 60px;

  animation: ping 1.5s infinite;
  background-color: #25d366;
  border-radius: 50px;
  bottom: 20px;
  box-shadow: 1px 1px 2px #888;
  color: #fff;
  display: grid;
  font-size: 30px;
  height: var(--size);
  place-items: center;
  position: fixed;
  right: 20px;
  width: var(--size);
  z-index: 100;
}

#what i {
  margin: auto 0;
}

/* ===== Página animação ===== */

#animation-page-body {
  display: grid;
  height: 100vh;
  margin: 0;
  padding: 0;
  place-items: center;

  img {
    height: auto;
    width: 600px;
  }
}

/* ===== Media Queries ===== */

@media all and (min-width: 769px) {
  /* ===== Seção Home ===== */

  /* Carrosel */
  #home .carousel-inner {
    --carousel-height: 550px;
  }
}

@media all and (min-width: 1000px) {
  :root {
    /* Tamanhos */
    --navbar-height: 70px;
  }

  /* ===== Seção Home ===== */

  /* Carrosel */
  #home .carousel-inner {
    --carousel-height: 700px;
  }
}

@media all and (min-width: 992px) {
  /* Navbar */
  nav {
    --align-items: center;
  }
}

@media all and (min-width: 1280px) {
  /* ===== Seção Home ===== */

  /* Carrosel */
  #home .carousel-inner {
    --carousel-height: 700px;
  }
}
